osl::effect_util::AdditionalOrShadow Struct Reference

`#include <additionalOrShadow.h>`

## Static Public Member Functions

template<int count_max>
static int | count (const PieceVector &direct_pieces, const NumEffectState &state, Square target, Player attack)

## Detailed Description

Definition at line 13 of file additionalOrShadow.h.

## Member Function Documentation

## count()

template<int count_max>

int osl::effect_util::AdditionalOrShadow::count | ( | const PieceVector & | direct_pieces,
|  | const NumEffectState & | state,
|  | Square | target,
|  | Player | attack )

inline static

Definition at line 16 of file additionalOrShadow.h.

References osl::BLACK, osl::Board_Table, osl::Piece::isEmptyNum(), osl::isLong(), osl::NumEffectState::longEffectNumTable(), osl::longToShort(), osl::Piece::owner(), osl::SimpleState::pieceOf(), and osl::Square::square.

Referenced by osl::effect_util::AdditionalEffect::count(), and osl::effect_util::ShadowEffect::count().

The documentation for this struct was generated from the following file:

- additionalOrShadow.h